trying to add multiple repos containing .treeinfo to a CV causes publish to fail.
Status: Closed   

Priority: Normal   
Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1113282 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1113282

Description of problem:

When trying to add multiple repos to a CV, where > 1 of these repos contains a .treeinfo, user can no longer publish the CV.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140624.2

How reproducible:

Steps to Reproduce:

1.  Create a product "sat6 capsule" with repos "sat6-capsule" and "sat6-common", pointing to appropriate repos that contain .treeinfo

2.  Enable RHEL 6Server

3.  Sync all three repos above

4.  Create a CV, "capsuleCV"

5.  Add all three repos above to CV

6.  Attempt to publish

Actual results:

Content Views cannot contain multiple Kickstart trees with the same version and architecture. Multiple Kickstart trees of 6.0.3 x86_64

were found in Repositories: sat6-capsule, sat6-common

CV cannot be published

Expected results:

CV can handle multiple repos which contain .treeinfo that are not necessarily kickstart trees.

CV can be published

Additional info:

History

#1 - 06/27/2014 01:38 PM - Justin Sherrill

- Status changed from New to Assigned

- Target version set to 48

- translation missing: en.field_release set to 13

- Difficulty set to medium

- Triaged set to No

#2 - 06/27/2014 02:23 PM - Eric Helms

- Triaged changed from No to Yes
#3 - 07/07/2014 07:48 AM - Eric Helms

- Target version changed from 48 to 49

#4 - 07/28/2014 08:44 AM - Eric Helms

- Target version changed from 49 to 54

#5 - 08/15/2014 02:38 PM - Eric Helms

- Status changed from Assigned to Closed
